<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>

    <title class="trn">Trockenstress</title>

    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

    <link rel="icon" href="images/icon.png"/>

    <link rel="stylesheet" href="css/material_icons.css"/>
    <link rel="stylesheet" href="css/fontawesome.css"/>
    <link rel="stylesheet" href="css/materialize.min.css"/>
    <link rel="stylesheet" href="css/c3.min.css"/>
    <link rel="stylesheet" href="css/ol.min.css">
    <link rel="stylesheet" href="css/nouislider.min.css"/>

    <link rel="stylesheet" href="css/index_css.css"/>
</head>

<body>
<!-- Navigation -->
<div class="navbar-fixed">
    <nav class="white">
        <div class="nav-wrapper">
            <ul id="nav-mobile" class="hide-on-med-and-down">
                <li>
                    <a href="#" class="green-text text-darken-3" onclick="changeLang('de');">De</a>
                </li>
                <li>
                    <a href="#" class="green-text text-darken-3" onclick="changeLang('fr');">Fr</a>
                </li>
                <li>
                    <a href="#" class="green-text text-darken-3" onclick="changeLang('it');">It</a>
                </li>
                <li>
                    <a href="#" class="green-text text-darken-3" onclick="changeLang('en');">En</a>
                </li>
            </ul>
            <a href="index.html" class="brand-logo center black-text trn">title</a>
            <ul id="nav-mobile" class="right hide-on-med-and-down">
                <li>
                    <a href="#descriptionscroll" class="green-text text-darken-3 trn">explanation</a>
                </li>
                <li>
                    <a href="#mapscroll" class="green-text text-darken-3 trn">map</a>
                </li>
                <li>
                    <a href="#chartscroll" class="green-text text-darken-3 trn">diagram</a>
                </li>
            </ul>
        </div>
    </nav>
</div>

<!-- Parallax -->
<div class="parallax-container">
    <div class="parallax">
        <img src="images/forest4.jpg"/>
    </div>
</div>

<div class="container">
    <!-- Radio Button for selected Data -->
    <div class="row">
        <div class="col s12">
            <div class="card hoverable">
                <div class="card-content">
                    <span class="card-title trn">usedData</span>
                    <form action="#">
                        <p>
                            <label>
                                <input
                                        onclick="handleDatatypeChange('etap')"
                                        name="datatype"
                                        id="data_etap"
                                        type="radio"
                                        checked
                                />
                                <span class="trn black-text" id="waterPlantsText">waterPlants</span>
                            </label>
                        </p>
                        <p>
                            <label>
                                <input onclick="handleDatatypeChange('swb')" name="datatype" id="data_swb"
                                       type="radio"/>
                                <span class="trn" id="waterGroundText">waterGround</span>
                            </label>
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="row" id="descriptionscroll">
        <div class="col s12">
            <div class="card hoverable">
                <div class="card-content">
                    <span class="card-title trn">explanationTitle</span>
                    <div class="row" id="etap-description">
                        <h5 class="trn">waterPlantsTitle</h5>
                        <h6 class="trn">waterPlantsSubTitle</h6>
                        <ul class="morepaddingleft">
                            <li class="showlist trn">plantsExplanation1</li>
                            <li class="showlist trn">plantsExplanation2</li>
                            <li class="showlist trn">plantsExplanation3</li>
                            <li class="showlist trn">plantsExplanation4</li>
                            <li class="showlist trn">plantsExplanation5</li>
                            <li class="showlist trn">plantsExplanation6</li>
                        </ul>
                        <p>
                            <i class="trn">dataExplanation</i>
                        </p>
                    </div>

                    <div class="row" id="swb-description" style="display: none;">
                        <h5 class="trn">waterGroundTitle</h5>
                        <h6 class="trn">waterGroundSubTitle</h6>
                        <ul class="morepaddingleft">
                            <li class="showlist trn">waterGroundExplanation1</li>
                            <li class="showlist trn">waterGroundExplanation2</li>
                            <li class="showlist trn">waterGroundExplanation3</li>
                            <li class="showlist trn">waterGroundExplanation4</li>
                        </ul>
                        <p>
                            <i class="trn">dataExplanation</i>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Legende -->
    <div class="row">
        <div class="col l6 m12">
            <div class="card hoverable">
                <div class="card-content">
                    <span class="card-title trn">legendTitle</span>
                    <div class="row" id="etap-key">
                        <div class="col s6">
                            <p id="leg_1">
                            <div class="backgroundlegETAP1 key-bullet"></div>
                            &le; 0.40
                            </p>
                            <p id="leg_2">
                            <div class="backgroundlegETAP2 key-bullet"></div>
                            0.41 - 0.50
                            </p>
                            <p id="leg_3">
                            <div class="backgroundlegETAP3 key-bullet"></div>
                            0.51 - 0.60
                            </p>
                            <p id="leg_4">
                            <div class="backgroundlegETAP4 key-bullet"></div>
                            0.61 - 0.70
                            </p>
                        </div>
                        <div class="col s6">
                            <p id="leg_5">
                            <div class="backgroundlegETAP5 key-bullet"></div>
                            0.71 - 0.80
                            </p>
                            <p id="leg_6">
                            <div class="backgroundlegETAP6 key-bullet"></div>
                            0.81 - 0.90
                            </p>
                            <p id="leg_7">
                            <div class="backgroundlegETAP7 key-bullet"></div>
                            0.91 - 1.00
                            </p>
                        </div>
                    </div>

                    <div class="row" id="swb-key" style="display: none;">
                        <div class="col s6">
                            <p id="leg_1">
                            <div class="backgroundlegSWB1 key-bullet"></div>
                            &le; -250mm
                            </p>
                            <p id="leg_2">
                            <div class="backgroundlegSWB2 key-bullet"></div>
                            -249mm - -200mm
                            </p>
                            <p id="leg_3">
                            <div class="backgroundlegSWB3 key-bullet"></div>
                            -199mm - 150mm
                            </p>
                        </div>
                        <div class="col s6">
                            <p id="leg_4">
                            <div class="backgroundlegSWB4 key-bullet"></div>
                            -149mm - -100mm
                            </p>
                            <p id="leg_5">
                            <div class="backgroundlegSWB5 key-bullet"></div>
                            -99mm - -50mm
                            </p>
                            <p id="leg_6">
                            <div class="backgroundlegSWB6 key-bullet"></div>
                            &gt; -50mm
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col l6 m12">
            <div class="card hoverable">
                <div class="card-content">
                    <p class="card-title">
                        <i class="fas fa-calendar"></i>
                        <span class="trn">yearTitle</span>
                        <span id="span_year"></span>
                    </p>
                    <div class="row">
                        <form>
                            <div class="col s12 m9 l10">
                                <p class="range-field">
                                    <input
                                            type="range"
                                            onclick="handleYearSliderClicked()"
                                            id="yearSlider"
                                            min="1981"
                                            max="2018"
                                            value="1981"
                                            step="1"
                                    />
                                </p>
                            </div>
                            <div class="col s12 m3 l2">
                                <!-- Video Buttons -->
                                <a
                                        onclick="toggleAnimation()"
                                        class="waves-effect waves-light btn-floating green darken-1"
                                >
                                    <i id="btn_animation" class="fa fa-play"></i>
                                </a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Karte -->
    <div class="row" id="mapscroll">
        <div class="col s12">
            <!-- SVG -->
            <div id="map" class="map hoverable"></div>
        </div>
    </div>

    <!-- Datendiagramm -->
    <div class="row" id="chartscroll">
        <div class="col s12">
            <div class="card hoverable">
                <div class="card-content">
                    <span class="card-title trn">yearDiagram</span>
                    <div class="row">
                        <div class="col s12">
                            <span id="span_Graph" class="trn">waterPlantsDiagramTitle</span>
                            <div id="chart"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Share Buttons -->
    <div class="row">
        <div class="col s12">
            <a onclick="share()" class="btn linkgrey waves-effect waves-light trn" title="Link">shareLink</a>
        </div>

        <div class="col s12">
            <input hidden id="sharedlink" type="text" value=""/>
        </div>
    </div>
</div>

<!-- Footer -->
<footer class="page-footer green darken-1">
    <div class="container">
        <div class="row">
            <div class="col l5 s12">
                <h5 class="white-text trn">about</h5>
                <p class="grey-text text-lighten-4 trn">credit</p>
                <p class="trn">dataCredit</p>
            </div>
            <div class="col l5 offset-l2 s12">
                <h5 class="white-text trn">links</h5>
                <ul>
                    <li>
                        <a
                                class="grey-text text-lighten-3"
                                target="_blank"
                                href="https://opendata.iwi.unibe.ch/?orderBy=-date_publish"
                        >Open Data Show Room</a
                        >
                    </li>
                    <li>
                        <a
                                class="grey-text text-lighten-3 trn"
                                target="_blank"
                                href="https://www.bafu.admin.ch/bafu/de/home.html"
                        >bafu</a
                        >
                    </li>
                    <li>
                        <a class="grey-text text-lighten-3 trn" target="_blank" href="http://www.iwi.unibe.ch/"
                        >iwi</a
                        >
                    </li>
                    <li>
                        <a
                                class="grey-text text-lighten-3 trn"
                                target="_blank"
                                href="http://www.digitale-nachhaltigkeit.unibe.ch/"
                        >fdg</a
                        >
                    </li>
                    <li>
                        <a class="grey-text text-lighten-3" target="_blank" href="https://opendata.swiss/de/"
                        >opendata.swiss</a
                        >
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div class="footer-copyright">
        <div class="container">
            <a class="grey-text text-lighten-4 right trn" target="_blank" href="fullscreen.html"
            >fullscreenMode</a>
        </div>
    </div>
</footer>

<!-- Modal erzeugen (für Klick auf Map) -->
<div id="modal_mapdata" class="modal">
    <div class="modal-content popup">
        <h4 class=trn>location</h4>
    </div>
    <div class="modal-footer popup">
        <a
                href="#!"
                onclick="handleModalButtons(false)"
                class="modal-close btn linkgrey waves-effect white-text waves-light btn-flat trn"
        >compareLocation</a
        >
        <a
                href="#!"
                onclick="handleModalButtons(true)"
                class="modal-close btn linkgrey waves-effect white-text waves-light btn-flat trn"
        >newDiagram</a
        >
    </div>
</div>

<!-- JavaScript at end of body for optimized loading -->

<script src="js/jquery-3.6.0.min.js"></script>
<script src="js/materialize.min.js"></script>
<script src="js/d3.v5.min.js"></script>
<script src="js/c3.min.js"></script>
<script src="js/ol.min.js"></script>
<script src="js/geotiff.js"></script>
<script src="js/proj4.js"></script>
<script src="js/epsg_2056.js"></script>

<script type="text/javascript" src="js/jquery.translate.js"></script>
<script type="text/javascript" src="js/translations.js"></script>

<!-- own JS -->
<script type="text/javascript" src="js/chart.js"></script>
<script type="text/javascript" src="js/map_js.js"></script>
</body>
</html>
